View Issue Details

IDProjectCategoryView StatusLast Update
0006202MediaMonkey (current)Otherpublic2011-05-26 17:30
Reporterjiri 
PriorityhighSeverityminorReproducibilityalways
Status feedbackResolutionreopened 
Product Version3.2 
Target VersionFixed in Version4.0 
Summary0006202: Slightly faster loading of DLLs
DescriptionCurrently almost all of our dlls (mainly plug-ins) have their start address set to 0x400000, which results in the necessity to relocate them on MM startup. See Process Explorer, column Image Base to see this fact.

We should modify these values of individual dlls, so that they don't overlap. For example, one could start at something like 0x14400000 and each subsequent at about 1MB later (i.e. 0x100000).
TagsNo tags attached.
Fixed in build1301

Activities

Ludek

2009-12-01 19:33

developer   ~0019812

Fixed in build 1301.

peke

2010-10-16 00:42

developer   ~0020787

Verified 1316

jiri

2011-05-26 17:30

administrator   ~0025662

I don't see this fixed either in MM 3.x or 4.x - using Process Explorer all Delphi dlls start at 0x400000 and C dlls at 0x10000000.